Bug 1093121 - Nitrogen.1.5.2 revision 9.20131218git.fc20 not saving wallpaper on bg-saved.cfg in single screen
Summary: Nitrogen.1.5.2 revision 9.20131218git.fc20 not saving wallpaper on bg-saved.c...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nitrogen
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: James Wrigley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-30 16:28 UTC by azgarech
Modified: 2015-06-29 20:22 UTC (History)
2 users (show)

Fixed In Version: nitrogen-1.5.2-13.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 20:22:28 UTC


Attachments (Terms of Use)

Description azgarech 2014-04-30 16:28:29 UTC
Description of problem:

On a fedora using openbox I installed nitrogen to manage my wallpaper. 

I got an trouble to save the change made in single screen layout. 

In fact when I do nitrogen --restore teh previous wallpaper comeback . The file bg-saved.cfg is not modified when I change my wallpaper using the command nitrogen or nitrogen --save.

But if I do the same in dual screen using the same computer and system the save is done and a nitrogen --restore give back the right wallpaper configuration.


If I edit manually the file everything is fine. So it's look like teh trouble is only applicable for writing in single screen layout.

Version-Release number of selected component (if applicable):


Nom                 : nitrogen
Architecture        : x86_64
Version             : 1.5.2
Révision            : 9.20131218git.fc20


How reproducible:


Steps to Reproduce:
1. install the nitrogen paquet 
2. have a fedora with openbox or not
3. running in single screen configuration

Comment 1 Fedora Update System 2014-04-30 19:13:03 UTC
nitrogen-1.5.2-11.20140405git.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-5455/nitrogen-1.5.2-11.20140405git.fc20

Comment 2 Fedora Update System 2014-04-30 19:14:42 UTC
nitrogen-1.5.2-11.20140405git.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-5485/nitrogen-1.5.2-11.20140405git.fc19

Comment 3 James Wrigley 2014-04-30 19:17:29 UTC
Thanks for reporting this :) The updates above should fix it.

Comment 4 Fedora Update System 2014-05-01 07:02:23 UTC
nitrogen-1.5.2-11.20140405git.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-05-01 07:05:57 UTC
nitrogen-1.5.2-11.20140405git.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 azgarech 2014-05-01 15:54:21 UTC
unfortunatly this didn't help. There is still the same error messages . What is weird is that it's only happening in single screen layout.

Comment 7 James Wrigley 2014-05-02 01:00:42 UTC
Humph, confirmed. This is extra weird because when I tested it in a VM it worked fine.

Comment 8 Fedora Update System 2014-07-10 10:36:20 UTC
nitrogen-1.5.2-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nitrogen-1.5.2-13.fc19

Comment 9 Fedora Update System 2014-07-10 10:37:46 UTC
nitrogen-1.5.2-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nitrogen-1.5.2-13.fc20

Comment 10 Fedora Update System 2014-07-11 02:02:22 UTC
Package nitrogen-1.5.2-13.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nitrogen-1.5.2-13.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8233/nitrogen-1.5.2-13.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-07-20 03:23:43 UTC
nitrogen-1.5.2-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-07-20 03:25:11 UTC
nitrogen-1.5.2-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 azgarech 2014-10-09 16:18:13 UTC
Unfortunatly this bug is still part of the actuallity. In Two screen layout no troubles. But if you use only one monitor, at every reboot the background switch to the default one.

Comment 14 Fedora End Of Life 2015-05-29 11:43:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 20:22:28 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.